Subject: Re: [PATCH v6 0/1] grep: integrate with sparse index

From: Victoria Dye <[email-masked]>
Date: Fri, 23 Sep 2022 09:01:03 -0700

Shaoxuan Yuan wrote:
> Integrate `git-grep` with sparse-index and test the performance
> improvement.
> 
> Changes since v5
> ----------------
> 
> * Drop the `--sparse` option patch and edit corresponding tests. 
>   We can wait until a better name is decided to replace `--sparse`.
> 
> * Modify the commit message, especially get rid of the `--sparse`
>   occurences.
> 

Thanks for the update! Everything in this patch is either part of the
previous version's patch 3 or comes from the tests & sparse index enabling
of the previous patch 2. The resulting patch enables the sparse index for
all usage of '--cached', and avoids any user option changes. 

All that to say, this version looks good to me!

Thanks!
- Victoria